summaryrefslogtreecommitdiff
path: root/plugins/dotenv/dotenv.plugin.zsh
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2018-09-10 10:50:45 -0600
committerTuowen Zhao <ztuowen@gmail.com>2018-09-10 10:50:45 -0600
commit5ece6ef2f07c58672a9c965dbbbb62a42386fb2d (patch)
tree285e6382f9e900779bce60da02f1f0d97e467e26 /plugins/dotenv/dotenv.plugin.zsh
parent852e7fe005267f74f3c04a4ddbb310522eee8014 (diff)
parentfe5fe81c8cfa66981c51d149a35fe545f2ef5016 (diff)
downloadzsh-5ece6ef2f07c58672a9c965dbbbb62a42386fb2d.tar.gz
zsh-5ece6ef2f07c58672a9c965dbbbb62a42386fb2d.tar.bz2
zsh-5ece6ef2f07c58672a9c965dbbbb62a42386fb2d.zip
Merge branch 'master' of https://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'plugins/dotenv/dotenv.plugin.zsh')
-rw-r--r--plugins/dotenv/dotenv.plugin.zsh7
1 files changed, 5 insertions, 2 deletions
diff --git a/plugins/dotenv/dotenv.plugin.zsh b/plugins/dotenv/dotenv.plugin.zsh
index fa47c4c68..b701b5596 100644
--- a/plugins/dotenv/dotenv.plugin.zsh
+++ b/plugins/dotenv/dotenv.plugin.zsh
@@ -1,7 +1,8 @@
-#!/bin/zsh
-
source_env() {
if [[ -f .env ]]; then
+ # test .env syntax
+ zsh -fn .env || echo 'dotenv: error when sourcing `.env` file' >&2
+
if [[ -o a ]]; then
source .env
else
@@ -14,3 +15,5 @@ source_env() {
autoload -U add-zsh-hook
add-zsh-hook chpwd source_env
+
+source_env